import { comboboxOldConfig, comboboxItemConfig, comboboxDividerConfig, comboboxFooterConfig, comboboxGroupConfig, comboboxHeaderConfig, component, mergeConfig } from '@salutejs/plasma-new-hope/styled-components';
import { config } from './Combobox.config';
var mergedConfig = mergeConfig(comboboxOldConfig, config);
export var Combobox = component(mergedConfig);
var mergedItemConfig = mergeConfig(comboboxItemConfig);
export var ComboboxItem = component(mergedItemConfig);
var mergedDividerConfig = mergeConfig(comboboxDividerConfig);
export var ComboboxDivider = component(mergedDividerConfig);
var mergedFooterConfig = mergeConfig(comboboxFooterConfig);
export var ComboboxFooter = component(mergedFooterConfig);
var mergedGroupConfig = mergeConfig(comboboxGroupConfig);
export var ComboboxGroup = component(mergedGroupConfig);
var mergedHeaderConfig = mergeConfig(comboboxHeaderConfig);
export var ComboboxHeader = component(mergedHeaderConfig);
